/*
 * File name: radial_distortion.hh
 * Date:      2010/08/04 13:45
 * Author:    Jan Faigl
 */

#ifndef __RADIAL_DISTORTION_H__
#define __RADIAL_DISTORTION_H__

namespace imr {
   class CRadialDistortion {
      public:
	 CRadialDistortion(int w, int h, int depth, int cx, int cy, float rho);
	 ~CRadialDistortion();

	 void transform(unsigned char *dst, unsigned char *src) const;

      private:
float unbarrelX(int x,int y);
float unbarrelY(int x,int y);

      private:
	    const int W;
	    const int H;
	    const int DEPTH;
	    const int CX;
	    const int CY;
	    const float RHO;
	    float* xArray; 
	    float* yArray; 
	    float* gArrayX; 
	    float* gArrayY; 
	    int* pArray; 
   };

} //end namespace imr

#endif

/* end of radial_distortion.hh */
